Bug 308283 - [JJ]: DimInactive effect does not update on config changes
Summary: [JJ]: DimInactive effect does not update on config changes
Status: RESOLVED FIXED
Alias: None
Product: kwin
Classification: Unclassified
Component: effects-various (show other bugs)
Version: 4.9.2
Platform: unspecified Linux
: NOR normal (vote)
Target Milestone: 4.9.3
Assignee: KWin default assignee
URL:
Keywords: junior-jobs
Depends on:
Blocks:
 
Reported: 2012-10-12 10:20 UTC by Martin Flöser
Modified: 2012-10-14 18:26 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 4.9.3


Attachments
Patch (950 bytes, patch)
2012-10-14 18:18 UTC, David Weber
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Flöser 2012-10-12 10:20:28 UTC
Steps to reproduce:

1. Enable Dim Inactive effect with e.g. option to also dim panels
2. Observe that panel is dimmed
3. Change configuration to not dim panel

Expected result:
Panel is no longer dimmed

Actual result:
Panel is still dimmed, when moving mouse over panel (e.g. tasks) the areas repaint undimmed, that is option has been applied.

How to solve the issue:
effects->addRepaintFull() needs to be added in the reconfigure() method
Comment 1 David Weber 2012-10-12 19:23:33 UTC
I managed to do that and published it to the review board:
https://git.reviewboard.kde.org/r/106814/
I hope I've done everything the right way.

Somehow I coulnd't assign the bug to myself. So sorry if somebody did the same.

I'm looking forward to dig deeper into kwin and perhaps do some real work :)
Comment 2 Martin Flöser 2012-10-13 06:25:42 UTC
> I'm looking forward to dig deeper into kwin and perhaps do some real work :)
cool :-) I'd recommend to look for the junior jobs or at the bugs marked with 
the target milestone 4.10 - there are some really easy things there.
Comment 3 David Weber 2012-10-14 18:18:54 UTC
Created attachment 74544 [details]
Patch
Comment 4 Martin Flöser 2012-10-14 18:26:57 UTC
Git commit 82ed83e9783515f663062cb1f566ab2c9952ef3a by Martin Gräßlin, on behalf of David Weber.
Committed on 12/10/2012 at 21:01.
Pushed by graesslin into branch 'KDE/4.9'.

Repaint screen after config update in diminactive effect
FIXED-IN: 4.9.3
REVIEW: 106814

M  +1    -0    kwin/effects/diminactive/diminactive.cpp

http://commits.kde.org/kde-workspace/82ed83e9783515f663062cb1f566ab2c9952ef3a